跳转到主要内容
系统全局相关/错误码相关接口
GETError Code Interfaces起始版本 3.3.0同步需要认证

查看系统错误码

查看系统错误码

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • categoryString

    错误码的类别,指向资源或服务的类别,例如HOST

  • regexString

    错误码关键字

  • codeString

    错误代码,与category一起使用

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • contentsList必填

    详情参考contents

    • categoryString必填

      错误码所属目录

    • codeString必填

      错误码代号

    • regexString必填

      错误码匹配关键字

    • message_cnString必填

      错误码内容中文

    • message_enString必填

      错误码内容英文

    • sourceString必填

      错误来源

    • methodString必填

      匹配方法,distance(字符串比较)或regex(正则)

    • distanceDouble必填

      若使用distance匹配,此处为精确度(1为最精确)

请求地址

GET/zstack/v1/errorcode/elaborations

/zstack/v1/errorcode/elaborations

操作 ID

GetElaborations

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/errorcode/elaborations?category=<category>&regex=<regex>&code=<code>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "contents": [ { "category": "HOST", "code": "1003", "regex": "host[uuid:%s, name:%s] is in status[%s], cannot perform required operation", "message_cn": "主机正处于[停止]状态,不能进行该操作", "message_en": "Host is in status[Stopped], cannot perform required operation", "source": "zstack", "method": "regex", "distance": 0.0 } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史